Bug 865920 - ifup integration with wpa_supplicant alone is broken and ignores ifcfg-wlan0 settings
ifup integration with wpa_supplicant alone is broken and ignores ifcfg-wlan0 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 15:52 EDT by Benjamin Podszun
Modified: 2013-07-31 19:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Podszun 2012-10-12 15:52:33 EDT
User-Agent:       Mozilla/5.0 (Windows NT 6.2; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0
Build Identifier: 

This is a limited, headless machine, so maybe I'm using a path that isn't popular anymore. No NetworkManager, just wpa_supplicant.

wpa_supplicant is spawned by systemd and associates fine, but no DHCP client is ever started.

My ifcfg-wlan0:

DEVICE=wlan0
BOOTPROTO=dhcp
ONBOOT=no #or yes - doesn't matter
TYPE=Wireless
NM_CONTROLLED=no



Reproducible: Always

Steps to Reproduce:
1. Set up a wpa_supplicant only wifi configuration
2. Boot system

Actual Results:  
You'll notice (via log/journal or iwconfig) that the device is associated
You'll notice (via ip addr / ifconfig) that no ip address is assigned
You'll notice (ps auxww | grep dhc) that no DHCP client is launched

Expected Results:  
After being associated the ifcfg configuration should be honored.
At minimum I'd expect ifcfg-wlan0 to be followed.

Ideally ifcfg-$id_strFromSupplicantHere$ would be used, so that multiple configurations are possible

Looking at ifup I see that there's a delegation, looking for ifup-$type and falling back to ifup-eth if no other file exists. ifup-eth is the only file that seems to honor the dhcp settings.

Funny enough, since there's no ifdown-wireless, ifdown falls back to ifdown-eth, which pulls down dhclient as expected.
Comment 1 Fedora End Of Life 2013-07-03 18:03:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:39:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.